---
title: WebGLRenderingContext.isTexture()
slug: Web/API/WebGLRenderingContext/isTexture
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.isTexture()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns <code>true</code> if the passed {{domxref("WebGLTexture")}} is valid and <code>false</code> otherwise.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLboolean <var>gl</var>.isTexture(<var>texture</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>texture</dt>
 <dd>A {{domxref("WebGLTexture")}} to check.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLboolean")}} indicating whether or not the texture is valid.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Checking_a_texture">Checking a texture</h3>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var texture = gl.createTexture();

gl.isTexture(texture);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.8", "isTexture")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glIsTexture.xml", "glIsTexture")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.isTexture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.bindTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.createTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteTexture()")}}</li>
 <li>{{domxref("WebGLRenderingContext.texImage2D()")}}</li>
</ul>
